# Delete Payment Card
source: https://developer.mastercard.com/carbon-calculator/documentation/use-cases/delete_payment_cards/index.md

The **Delete Payment Card** service allows the issuer to delete the registered consumer's PAN with the Carbon Calculator API.

On successful deletion, the consumer receives the message Remove paymentCardId from the system.

For the best user experience, we recommend using a method that does not require consumer to manually enter their payment card details.

## Pre-requisites {#pre-requisites}

Following are the pre-requisites for the issuer to use this service:

* To Delete the PAN from Carbon Calculator, the PAN should be registered with information.
* In the Delete Payment Card API, the Payment Card Id \[received in Add payment card API response\] is expected instead of actual PAN.
* We have to provide a Payment_Card Id in this api.

Tip: To create your project on Mastercard Developers, refer to the [Before You Start](https://developer.mastercard.com/carbon-calculator/documentation/index.md#before-you-start) section for more information.

## Sequence Diagram {#sequence-diagram}

The following sequence diagram shows the order of events for a solution that uses the `/service-providers/payment-cards/{payment_card_id}` endpoint.

Diagram fpan-deletion

**Following are the execution steps:**

1. Consumer requests for deletion of payment card registered for Carbon Calculator.
2. The issuer app sends the registered payment card id in a request to the issuer server.
3. The issuer server sends the payment card deletion request to the `/service-providers/payment-cards/{payment_card_id}` endpoint.
4. Carbon Calculator application validates the request for data format, payment card id existence.
5. Carbon Calculator application initiates payment card deletion.
6. Payment card deletion response send back to the issuer server.
7. Payment card successfully got deleted.

<br />

You will receive an error response for an invalid request or any missing request parameter. Note: For more information about the error codes, refer to [Code and Formats](https://developer.mastercard.com/carbon-calculator/documentation/code-and-formats/index.md).

## Endpoint {#endpoint}


API Reference: `GET /service-providers/payment-cards/{payment_card_id}`

